<?php

/**
 * Phire Assets Add Event
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Events'); ?> &gt; <?php $lang->_e('Add an Event'); ?></h2>
<?php

// Check if an add event form has been submitted and has returned with errors.
if (isset($sess->add_event_form)) {

    try {

        $sess->add_event_form->render();

    } catch (Exception $e) {

        unset($sess->add_event_form);

        $form = new Phire_Form_Event('../core/process/add.event.php', 'post', '        ');
        $form->init(array('plugin' => $plugin));
        $form->render();

    }

// Else, initialize and render a new add event form.
} else {

    $form = new Phire_Form_Event('../core/process/add.event.php', 'post', '        ');
    $form->init(array('plugin' => $plugin));
    $form->render();

}

include_once '../core/includes/footer.php';

?>