<?php

/**
 * Phire Check Page Site
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

if (isset($_GET['site_id'])) {

    $lang = new Phire_Language();
    $none = $lang->__('None');
    $site = new Phire_Table_Sites();
    $site->findById($_GET['site_id']);

    // Get the title separator of the site.
    if ($site->title_separator != '') {
        $output = "var sep = '" . $site->title_separator . "';";
    } else {
        $output = "var sep = '';";
    }

    // Get site tags.
    $tags = new Phire_Table_Tags();
    $tags->findAll('tag_id ASC', 'site_id', $_GET['site_id']);

    if (isset($tags->rows[0])) {
        $tagAry = array();
        foreach ($tags->rows as $tag) {
            $tagAry[] = "Array('" . $tag->tag_id . "', '" . $tag->tag . "')";
        }
        $output .= " var newTags = Array(" . implode(', ', $tagAry) . ");";
    } else {
        $output .= " var newTags = null;";
    }

    // Get site templates.
    $templates = new Phire_Table_Templates();
    $templates->findAll('template_id ASC', 'site_id', $_GET['site_id']);
    $tmplAry = array();

    if (isset($templates->rows[0])) {
        foreach ($templates->rows as $template) {
            $tmplAry[] = "Array('" . $template->template_id . "', '" . $template->template_name . "')";
        }
        $output .= ' var templates = Array(Array(\'0\', \'(' . $none . ')\'), ' . implode(", ", $tmplAry) . ');';
    } else {
        $output .= ' var templates = Array(Array(\'0\', \'(' . $none . ')\'));';
    }

    // Get site sections.
    $sections = new Phire_Table_Sections();
    $sections->findAll('section_id ASC', 'site_id', $_GET['site_id']);
    $sectAry = array();

    if (isset($sections->rows[0])) {
        foreach ($sections->rows as $section) {
            $sectAry[] = "Array('" . $section->section_id . "', '" . $section->section_title . "')";
        }
        $output .= ' var sections = Array(Array(\'0\', \'(' . $none . ')\'), ' . implode(", ", $sectAry) . ');';
    } else {
        $output .= ' var sections = Array(Array(\'0\', \'(' . $none . ')\'));';
    }

    print($output);

}

?>
