<?php

/**
 * Phire Copy Template
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // If the correct variable is passed, find the template.
    if (isset($_GET['tid'])) {

        $tmpl = new Phire_Table_Templates();
        $tmpl->findById($_GET['tid']);

        // If the template is found, duplicate the template entry.
        if (isset($tmpl->template_id)) {

            // Check for template name duplicates.
            $i = 0;
            $org_tmpl_name = $tmpl->template_name;
            $template_name_copy = $org_tmpl_name . ' (Copy)';

            $test_tmpl = new Phire_Table_Templates();
            $test_tmpl->findBy('template_name', $template_name_copy);

            while (isset($test_tmpl->template_id)) {
                $i++;
                $template_name_copy = $org_tmpl_name  . ' (Copy ' . $i . ')';
                $test_tmpl = new Phire_Table_Templates();
                $test_tmpl->findBy('template_name', $template_name_copy);
            }

            // Once a new unique template name is confirmed, set the fields and save the copy of the template.
            $fields = array('site_id' => $tmpl->site_id,
                            'theme_id' => $tmpl->theme_id,
                            'type_id' => $tmpl->type_id,
                            'template_name' => $template_name_copy,
                            'template' => $tmpl->template,
                            'mobile_template' => $tmpl->mobile_template);

            $tmplcopy = new Phire_Table_Templates($fields);
            $tmplcopy->save();

            // Add new template to a theme, if applicable.
            if ($tmpl->theme_id != 0) {
                $theme = new Phire_Table_Themes();
                $theme->findById($tmpl->theme_id);
                if (isset($theme->theme_id)) {
                    $tmpls = explode('|', $theme->templates);
                    if (!in_array($tmplcopy->template_id, $tmpls)) {
                        $tmpls[] = $tmplcopy->template_id;
                        $theme->templates = implode('|', $tmpls);
                        $theme->save();
                    }
                }
            }

        }

    }

    if (isset($_GET['mobile'])) {
        header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/templates.php');
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/content/templates.php');
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
