<?php

/**
 * Phire Get Comments
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$int_sort_id = 'comment_id';
require_once '../core/process/calculate.sort.php';

try {

    $sql = null;
    $site_ids = array();
    $cmts = new Phire_Table_Comments();
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;
    $view = '';

    // Build the SQL query for the comments based on the values passed and the session data set.
    if (isset($sess->sites)) {

        foreach ($sess->sites as $value) {
            $site_ids[] = "" . DB_PREFIX . "pages.site_id = '" . $value . "'";
        }
        if (isset($_GET['view'])) {
            if (strpos($_GET['view'], 'spam') !== false) {
                if ($_GET['view'] == 'spam') {
                    $spam = 'yes';
                } else if ($_GET['view'] == 'not_spam') {
                    $spam = 'no';
                }
                $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE (" . implode(' OR ', $site_ids) . ") AND comment_is_spam = '" . $spam . "' ORDER BY " . $sort;
            } else {
                if ($_GET['view'] == 'approved') {
                    $app = 'yes';
                } else if ($_GET['view'] == 'not_approved') {
                    $app = 'no';
                }
                $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE (" . implode(' OR ', $site_ids) . ") AND comment_approved = '" . $app . "' ORDER BY " . $sort;
            }
            $view = '&view=' . $_GET['view'];
        } else {
            $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE (" . implode(' OR ', $site_ids) . ") ORDER BY " . $sort;
        }

        // Execute the SQL query.
        $cmts->execute($sql);

    }

    $app = $lang->__('Approved');
    $notapp = $lang->__('Not Approved');
    $spam = $lang->__('Spam');
    $notspam = $lang->__('Not Spam');
    $all = $lang->__('All');
    $site_page = $lang->__('Site/Page');
    $cmmt = $lang->__('Comment');
    $click = $lang->__('Click to Edit');
    $author = $lang->__('Author');
    $ip = $lang->__('IP Address');
    $dte = $lang->__('Date');
    $yes = $lang->__('Yes');
    $no = $lang->__('No');
    $remove = $lang->__('Remove?');
    $apply = $lang->__('Apply');

    // Set the table header, row and footer templates.
    $tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_id{$view}\">ID #</a></td><td class=\"grayHeader\" style=\"padding: 0 10px 0 0; text-align: left;\"><a class=\"grayLink\" href=\"./comments.php?sort=site_id{$view}\">{$site_page}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><strong>{$cmmt}</strong> ({$click})</td><td class=\"grayHeader\" style=\"width: 12%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_author{$view}\">{$author}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_ip{$view}\">{$ip}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center; width: 12%;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_posted{$view}\">{$dte}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_approved{$view}\">{$app}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_is_spam{$view}\">{$spam}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

    if (isset($cmts->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="cmtsForm" action="../core/process/comments.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, cmtsFrm, 'rm_cmts');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./comments.php?view=approved">{$app}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=not_approved">{$notapp}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=spam">{$spam}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=not_spam">{$notspam}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php">{$all}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"text-align: center;\">[{comment_id}]</td><td style=\"padding: 0 10px 0 0;\">[{site_domain}][{page_url}]</td><td><a href=\"./edit-comment.php?cid=[{comment_id}]\">[{comment_content}]...</a></td><td style=\"text-align: left;\">[{comment_author}]</td><td style=\"text-align: left;\">[{comment_ip}]</td><td style=\"text-align: center;\">[{comment_posted}]</td><td style=\"text-align: center;\"><div style=\"margin: 0 auto; padding: 0;\"><div class=\"radioDiv\"><input type=\"radio\" class=\"radioBtn\" name=\"mark_approved_[{comment_id}]\" value=\"Yes\" [{app_chk_yes}]/> <span style=\"padding: 0 0 0 2px;\">{$yes}</span> <span class=\"grayPad\">|</span> </div><div class=\"radioDiv\"><input type=\"radio\" class=\"radioBtn\" name=\"mark_approved_[{comment_id}]\" value=\"No\" [{app_chk_no}]/> <span style=\"padding: 0 0 0 2px;\">{$no}</span></div></div></td><td style=\"text-align: center;\"><div style=\"margin: 0 auto; padding: 0;\"><div class=\"radioDiv\"><input type=\"radio\" class=\"radioBtn\" name=\"mark_spam_[{comment_id}]\" value=\"Yes\" [{spam_chk_yes}]/> <span style=\"padding: 0 0 0 2px;\">{$yes}</span> <span class=\"grayPad\">|</span> </div><div class=\"radioDiv\"><input type=\"radio\" class=\"radioBtn\" name=\"mark_spam_[{comment_id}]\" value=\"No\" [{spam_chk_no}]/> <span style=\"padding: 0 0 0 2px;\">{$no}</span></div></div></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_cmts[{id}]\" name=\"rm_cmts[]\" value=\"[{comment_id}]\" /></td></tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitGrayBtn" value="{$apply}" /><span style="display: block; margin: 5px 0 0 0; padding: 0 15px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span></td></tr></table>
        </form>
        <script type="text/javascript">
            cmtsFormInit();
        </script>

TABLEFOOTER;

        $id = null;

        // Iterate through each comment, formatting and setting it into a row.
        foreach ($cmts->rows as $cmt) {

            $comment_author = Moc10_String::setString($cmt->comment_author)->strip()->html();
            $comment_content = Moc10_String::setString($cmt->comment_content)->sub(0, 75)->strip()->html();
            $comment_posted = Moc10_String::setString($cmt->comment_posted)->date('M j, Y');

            $page = new Phire_Table_Pages();
            $page->join(DB_PREFIX . 'sites', 'site_id', null, 'page_id', $cmt->page_id, 1);

            if ($cmt->comment_approved == 'Yes') {
                $app_chk_yes = "checked=\"checked\" ";
                $app_chk_no = '';
            } else {
                $app_chk_yes = '';
                $app_chk_no = "checked=\"checked\" ";
            }

            if ($cmt->comment_is_spam == 'Yes') {
                $spam_chk_yes = "checked=\"checked\" ";
                $spam_chk_no = '';
            } else {
                $spam_chk_yes = '';
                $spam_chk_no = "checked=\"checked\" ";
            }

            $cmt_rows[] = array('comment_id' => $cmt->comment_id,
                                'site_domain' => $page->rows[0]['site_domain'],
                                'page_url' => BASE_PATH . $page->rows[0]['page_url'],
                                'comment_content' => $comment_content,
                                'comment_author' => $comment_author,
                                'comment_ip' => $cmt->comment_ip,
                                'comment_posted' => $comment_posted,
                                'app_chk_yes' => $app_chk_yes,
                                'app_chk_no' => $app_chk_no,
                                'spam_chk_yes' => $spam_chk_yes,
                                'spam_chk_no' => $spam_chk_no,
                                'id' => $id);

            $id++;

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($cmt_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the comment results.
        $sess->comments = new Moc10_Session_Paginator($cmt_rows, $pg_num, $pg_range);
        $sess->comments->setHeader($tableHeader);
        $sess->comments->setRowTemplate($rowTmpl);
        $sess->comments->setFooter($tableFooter);
        $sess->comments->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $nocmts = $lang->__('There are currently no comments.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./comments.php?view=approved">Approved</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=not_approved">Not Approved</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=spam">Spam</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php?view=not_spam">Not Spam</a> <span class="grayPad">|</span> <a class="orangeLink" href="./comments.php">All</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="9" style="padding: 25px;">{$nocmts}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
