<?php

/**
 * Phire Get Event Types
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$back = $lang->__('Back to Events');
$typ = $lang->__('Event Type');
$remove = $lang->__('Remove?');
$add = $lang->__('Add');
$access = $lang->__('Access:');
$public = $lang->__('Public');
$private = $lang->__('Private');
$update = $lang->__('Update');

$int_sort_id = 'type_id';
require_once '../core/process/calculate.sort.php';

try {

    // Get the event types.
    $types = new Phire_Table_EventTypes();
    $types->findAll($sort);

    // Print the table header.
    print <<<TABLEHEADER
        <form id="typesForm" action="../core/process/update.event.types.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 4.4% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, typesFrm, 'rm_types');" />&lt;&lt;&lt; <a class="orangeLink" href="./events.php"> {$back}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                <tr><td class="grayHeader" style="padding: 0; width: 5%; text-align: center;"><a class="grayLink" href="./edit-event-types.php?sort=type_id">ID #</a></td><td class="grayHeader" style="width: 42%; padding: 0; text-align: left;"><a class="grayLink" href="./edit-event-types.php?sort=event_type">{$typ}</a></td><td class="grayHeader" style="padding: 0; width: 5%; text-align: center;"><strong>{$remove}</strong></td></tr>

TABLEHEADER;

    // Iterate throught the event types.
    if (isset($types->rows[0])) {
        $id = null;
        foreach ($types->rows as $typ) {
            if ($typ->event_type_access == 'Public') {
                $pubChk = " selected=\"selected\"";
                $prvChk = '';
            } else {
                $pubChk = '';
                $prvChk = " selected=\"selected\"";
            }
            print("                <tr><td style=\"text-align: center;\">{$typ->type_id}</td><td><input style=\"font-size: 1.0em;\" type=\"text\" name=\"type_event_{$typ->type_id}\" value=\"" . Moc10_String::setString($typ->event_type)->strip()->html() . "\" size=\"50\" /> &nbsp;&nbsp;&nbsp; <strong>{$access}</strong> <select name=\"access_type_event_{$typ->type_id}\" id=\"access_type_event_{$typ->type_id}\"><option value=\"Public\"{$pubChk}>{$public}</option><option value=\"Private\"{$prvChk}>{$private}</option></select></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_types{$id}\" name=\"rm_types[]\" value=\"{$typ->type_id}\" /></td></tr>\n");
            $id++;
        }
    // Else, print no result.
    } else {
        print("                <tr><td colspan=\"3\" style=\"padding: 25px;\">" . $lang->__('There are currently no event types.') . "</td></tr>\n");
    }

    $plg = (!is_null($plugin)) ? "<input type=\"hidden\" name=\"plugin\" value=\"{$plugin}\" />" : null;

    // Print the table footer.
    print <<<TABLEFOOTER
                <tr style="margin: 0; padding: 5px 0 5px 0;"><td style="margin: 0; padding: 5px 0 5px 0; text-align: center;"><strong>{$add} [+]</strong></td><td colspan="2" style="padding: 5px 0 5px 2px;"><input style="font-size: 1.0em;" type="text" name="type_new" value="" size="50" /> &nbsp;&nbsp;&nbsp; <strong>{$access}</strong> <select name="event_type_access_new" id="event_type_access_new"><option value="Public">{$public}</option><option value="Private">{$private}</option></select></td></tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtn" value="{$update}" />{$plg}</td></tr></table>
        </form>
        <script type="text/javascript">
            typesFormInit();
        </script>

TABLEFOOTER;

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
