<?php

/**
 * Phire Get Templates
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Template');
$ste = $lang->__('Site');
$tmpl_nme = $lang->__('Template Name');
$click = $lang->__('Click to Edit');
$typ = $lang->__('Type');
$thme = $lang->__('Theme');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'template_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./templates.php?sort=template_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./templates.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./templates.php?sort=template_name\">{$tmpl_nme}</a> (Click to Edit)</td><td class=\"grayHeader\" style=\"padding: 0; width: 15%; text-align: left;\"><strong>{$typ}</strong></td><td class=\"grayHeader\" style=\"padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./templates.php?sort=theme_id\">{$thme}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $tmpls = new Phire_Table_Templates();

    // Build the SQL query for the sections based on the values passed and the session data set.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "templates WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        // Execute the SQL query.
        $tmpls->execute($sql);

    }

    if (isset($tmpls->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="tmplsForm" action="../core/process/remove.templates.php" method="post" onsubmit="return tmplsFrm.checkValidate('template', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, tmplsFrm, 'rm_tmpls');" /><a class="orangeLink" href="./add-template.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each template, formatting and printing it to a row.
        foreach ($tmpls->rows as $tmpl) {

            $template_name = Moc10_String::setString($tmpl->template_name)->strip()->html();

            $site = new Phire_Table_Sites();
            $site->findById($tmpl->site_id);

            $type = new Phire_Table_ContentTypes();
            $type->findById($tmpl->type_id);

            $theme = new Phire_Table_Themes();
            $theme->findById($tmpl->theme_id);

            $theme_name = (isset($theme->theme_id)) ? $theme->theme_name : '&nbsp;';

            print("                <tr><td style=\"text-align: center;\">{$tmpl->template_id}</td><td>{$site->site_domain}</td><td><a href=\"./edit-template.php?tid={$tmpl->template_id}\">{$template_name}</a></td><td style=\"text-align: left;\">{$type->type}</td><td style=\"text-align: center;\">{$theme_name}</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../core/process/copy.template.php?tid={$tmpl->template_id}\" title=\"Copy Template\"><span class=\"hide\">Copy Template</span></a></td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_tmpls{$id}\" name=\"rm_tmpls[]\" value=\"{$tmpl->template_id}\" /></td></tr>\n");
            $id++;

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            tmplsFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $notmpls = $lang->__('There are currently no templates.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-template.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="7" style="padding: 25px;">{$notmpls}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
