<?php

/**
 * Phire System Init
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

// Get the requested URL, break it apart and calculate the user's position within the system.
if (defined('BASE_PATH') && defined('SYS_PATH')) {
    $path = str_replace(BASE_PATH, '', $_SERVER['REQUEST_URI']);
    $path = str_replace(SYS_PATH, '', $path);
} else {
    $path = $_SERVER['REQUEST_URI'];
}

$trail = explode('/', $path);
for ($i = 0; $i < count($trail); $i++) {
    $trail[$i] = $lang->__(ucfirst($trail[$i]));
}

// Start building the page title.
$admin_title = 'Phire CMS';

$page = substr($path, (strrpos($path, '/') + 1));
$page_title = substr($page, 0, strpos($page, '.'));
$page_title = str_replace('-', ' ', $page_title);
$page_title = str_replace('_', ' ', $page_title);
$page_title = ucwords($page_title);
$page_title = str_replace('And', '&amp;', $page_title);

// Assemble the page title trail.
foreach($trail as $value) {
    if (($value != '') && ($value != 'index.php')) {
        $admin_title .=  ' &gt; ' . $value;
    }
}

// Clean the page title.
$admin_title = str_replace('-', ' ', $admin_title);
$admin_title = str_replace('_', ' ', $admin_title);
$admin_title = ucwords($admin_title);
$admin_title = str_replace('.php', '', $admin_title);
$admin_title = str_replace('And', '&amp;', $admin_title);
$admin_title = str_replace('Rss', 'RSS', $admin_title);
$admin_title = str_replace('Cms', 'CMS', $admin_title);
$admin_title = str_replace('Resync', 'ReSync', $admin_title);
$admin_title = str_replace('Cache &gt; ', '', $admin_title);

// Truncate any $_GET query that might be within the page title.
if (strpos($admin_title, '?') !== false) {
    $admin_title = substr($admin_title, 0, strpos($admin_title, '?'));
}

$page_name = substr($admin_title, (strrpos($admin_title, '&gt; ') + 5));
$admin_title = str_replace($page_name, $lang->__($page_name), $admin_title);

// Set plugin variable if passed.
$plugin = (isset($_GET['plugin'])) ? $_GET['plugin'] : null;

?>
