<?php

/**
 * Phire Remove Templates
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Get the templates to remove.
    $rm_tmpls = array();
    $rm_tmpls = $_POST['rm_tmpls'];

    if (isset($rm_tmpls[0])) {

        foreach ($rm_tmpls as $value) {

            $val = (string)Moc10_String::setString($value)->escape(true)->striptags();

            // Update all assets related to the removed template and delete the template.
            $pages = new Phire_Table_Pages();
            $pages->execute("UPDATE " . DB_PREFIX . "pages SET template_id = 0 WHERE template_id = '" . $val . "'");

            $sites = new Phire_Table_Sites();
            $sites->execute("UPDATE " . DB_PREFIX . "sites SET default_template_id = 0 WHERE default_template_id = '" . $val . "'");

            $tmpl = new Phire_Table_Templates();
            $tmpl->findById($val);

            if ($tmpl->theme_id != 0) {
                $theme = new Phire_Table_Themes();
                $theme->findById($tmpl->theme_id);
                if (isset($theme->templates)) {
                    if (strpos($theme->templates, $tmpl->template_id) !== false) {
                        $themeAry = explode('|', $theme->templates);
                        $key = array_search($tmpl->template_id, $themeAry);
                        unset($themeAry[$key]);
                        $theme->templates = implode('|', $themeAry);
                        $theme->save();
                    }
                }
            }

            $tmpl->delete();

        }

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'content/templates.php?action=removed');
        }

    } else {

        if (isset($_POST['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/' . ((isset($_POST['mobile'])) ? 'mobile/' : '') . 'content/templates.php');
        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
